Bug 987925 - Cannot create system via API - 404 on environment
Cannot create system via API - 404 on environment
Status: CLOSED NEXTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
: Triaged
Depends On:
Blocks: sam20-tracker
  Show dependency treegraph
 
Reported: 2013-07-24 08:22 EDT by Jeff Weiss
Modified: 2014-11-09 17:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-29 08:43:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2013-07-24 08:22:22 EDT
Description of problem:


Version-Release number of selected component (if applicable):
1.4.2-1.git.961.e5d1bd2.el6

How reproducible:
always

Steps to Reproduce:
1. Create an env via API 
2. Get the id from the response
3. POST /katello/api/environments/[id]/systems

Actual results:
404 Couldn't find environment [id]

Expected results:
system created

Additional info:
Comment 1 Jeff Weiss 2013-07-24 08:34:36 EDT
You can also get this error in the UI - seems like candlepin is losing something.

For example, create an env in the UI and then a distributor in the UI.

"No such environment: 45" "Resources::Candlepin::Consumer: 404 Resource Not Found {\"displayMessage\":\"No such environment: 45\"}
Comment 2 Jeff Weiss 2013-08-08 14:04:20 EDT
Apparently the API call was missing a content view ID. which is now required.

However I think this is still a bug to throw a 404 error on the environment when what's actually wrong is that the caller forgot to specify a cv id.

Note You need to log in before you can comment on or make changes to this bug.